/*
File: DbThread.java
Date		Author		Changes
Aug 24 96	Lukasz Beca	Created
*/

package webwisdom.tango.threads;

import java.lang.*;
import java.util.*;
import webwisdom.tango.messages.Message;
import webwisdom.tango.threads.ThreadOut;
import webwisdom.tango.structures.Applications;
import webwisdom.tango.structures.Participants;
import webwisdom.tango.structures.Users;
import webwisdom.tango.structures.DbSessions;


public class DbThread extends Thread {

  Applications apps;
  Participants part;
  Users usr;
  DbSessions dbs;
  
  public DbThread() {
    
    super();
    apps = new Applications();
    part = new Participants();
    usr = new Users();
    dbs = new DbSessions();
  }



  public void run() {

    Message m;
    int i;
    int AID;

    System.out.println("Database thread started");

    //to be implemented
	

  }

  public synchronized Applications getApplications() {
    
    return apps;
  }

  public synchronized Participants getParticipants() { 


    return part;
  }


  public synchronized Users getUsers() {

    return usr;
  }


  public synchronized DbSessions getSessions() {

    return dbs;
    
  }

  public synchronized void wake() {

    this.notify();

  }  
}
